Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema.type
Class DerivedPositiveInteger

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.type.SOMType
                  |
                  +--com.bea.schema.type.SOMElementalType
                        |
                        +--com.bea.schema.type.PrimitiveDecimal
                              |
                              +--com.bea.schema.type.DerivedInteger
                                    |
                                    +--com.bea.schema.type.DerivedNonNegativeInteger
                                          |
                                          +--com.bea.schema.type.DerivedPositiveInteger

public class DerivedPositiveInteger
extends DerivedNonNegativeInteger

positiveInteger is derived from nonNegativeInteger by setting the value of minInclusive to be 1. This results in the standard mathematical concept of the positive integer numbers. The value space of positiveInteger is the infinite set {1,2,...}. The base type of positiveInteger is nonNegativeInteger.

positiveInteger has the following constraining facets:

- totalDigits
- fractionDigits
- pattern
- whiteSpace
- enumeration
- maxInclusive
- maxExclusive
- minInclusive
- minExclusive

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  W3C XML Schema positiveInteger, Serialized Form

Fields inherited from class com.bea.schema.type.SOMType
`ANYURI, BASE64BINARY, BINARY, BOOLEAN, BYTE, CDATA, CENTURY, DATE, DATETIME, DECIMAL, DOUBLE, DURATION, ENTITIES, ENTITY, FLOAT, GDAY, GMONTH, GMONTHDAY, GYEAR, GYEARMONTH, HEXBINARY, ID, IDREF, IDREFS, INT, INTEGER, LANGUAGE, LONG, MONTH, NAME, NCNAME, NEGATIVEINTEGER, NMTOKEN, NMTOKENS, NONNEGATIVEINTEGER, NONPOSITIVEINTEGER, NORMALIZEDSTRING, NOTATION, NUMBER, POSITIVEINTEGER, QNAME, RECURRINGDATE, RECURRINGDAY, RECURRINGDURATION, SHORT, STRING, TIME, TIMEDURATION, TIMEINSTANT, TIMEPERIOD, TOKEN, UNSIGNEDBYTE, UNSIGNEDINT, UNSIGNEDLONG, UNSIGNEDSHORT, URIREFERENCE, YEAR`

Constructor Summary
`DerivedPositiveInteger()`

Method Summary
`java.lang.String` | `getID()`
`java.util.Map` | `getTypeRestrictions()`

Methods inherited from class com.bea.schema.type.DerivedInteger
`getAllowedFacets`

Methods inherited from class com.bea.schema.type.PrimitiveDecimal
`createDefault, isValid`

Methods inherited from class com.bea.schema.type.SOMElementalType
`isSchemaChild`

Methods inherited from class com.bea.schema.type.SOMType
`getType, isElementalType, isUserDefinedType, toXML`

Methods inherited from class com.bea.schema.SOMObject
`addChild, addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DerivedPositiveInteger

    public DerivedPositiveInteger()

Method Detail

### getID

    public java.lang.String getID()

  Overrides:
    getID in class DerivedNonNegativeInteger

### getTypeRestrictions

    public java.util.Map getTypeRestrictions()

  Overrides:
    getTypeRestrictions in class DerivedNonNegativeInteger

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)